让版本帝firefox5下“被不可用”的插件重新可用

firefox不知道是抽的哪门子风,要跟google chrome当抢着做版本帝,一次次的提醒用户升级。

刚才使用fedora15 yum升级后,发现firefox升级到5.0了,启动后,果然好几个插件都不能用了。因为之前修改过一些插件的.xpi安装文件,这些插件可以到网上重新下载,然后修改了再安装,是可以的,但这是个麻烦的操作。因为firefox插件是安装在用户目录下的,那么直接修改安装后的文件,是否也可以达到同样效果呢?

于是试着做。

进入目录

gnu/linux下

/home/[user-home-folder]/.mozilla/firefox/lxyp34or.default/extensions

windows下

X:\Documents and Settings\[user-main-folder]\Application Data\Mozilla\Firefox\Profiles\esx4b5b6.default\extensions\

里面有多个目录/文件,

[feng@fsc extensions]$ ls
{3112ca9c-de6d-4884-a869-9855de68056c}  firebug@software.joehewitt.com.xpi
{88c7b321-2eb8-11da-8cd6-0800200c9a66}  firegestures@xuldev.org.xpi
{8f8fe09b-0bd3-4470-bc1b-8cad42b8203a}  pig1717@gmail.com.xpi
autoproxy@autoproxy.org                 screencaptureelite@plugin
{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}  toolbar@alexa.com.xpi
{dc572301-7619-498c-a57d-39143191b318}

多数半没有便于理解的名字,一个个进去看,这些目录里一般都有install.rdf文件,这就是需要修改的文件,以google工具栏为例:

修改其中的

<em:maxVersion>xxxx</em:maxVersion>

一行,版本号大于5.0就可以了,修改保存。

把不可用的插件里都按此法修改一遍。有些插件是.xpi文件,修改文件名后缀为.zip,解压,并修改其中install.rdf文件,zip压缩,再改后缀为.xpi。

重启firefox即可。

easy dragtogo+是.xpi文件,还没有修改时抓的图。




coded by nessus
发表评论?

0 条评论。

发表评论